sui_getCheckpoint
POST
Return a checkpoint
param[0]
idstringrequired
Checkpoint identifier, can use either checkpoint digest, or checkpoint sequence number as inputResponses
jsonrpcstring
idinteger
checkpointCommitmentsarrayrequired
Commitments to checkpoint statedigestobjectrequired
Present only on the final checkpoint of the epoch.
epochCommitmentsarrayrequired
Commitments to epoch specific state (e.g. live object set)nextEpochCommitteearrayrequired
next_epoch_committee is Some if and only if the current checkpoint is the last checkpoint of an epoch. Therefore next_epoch_committee can be used to pick the last checkpoint of an epoch, which is often useful to get epoch level summary stats like total gas cost of an epoch, or the total number of transactions from genesis to the end of an epoch. The committee is stored as a vector of validator pub key and stake pairs. The vector should be sorted based on the Committee data structure.nextEpochProtocolVersionobjectrequired
epochobjectrequired
computationCostobjectrequired
nonRefundableStorageFeeobjectrequired
storageCostobjectrequired
storageRebateobjectrequired
networkTotalTransactionsobjectrequired
previousDigestobject
sequenceNumberobjectrequired
timestampMsobjectrequired
transactionsarrayrequired
Transaction digestsvalidatorSignatureobjectrequired
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "sui_getCheckpoint","params": ["1000"]}'